%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name PHP_CompatInfo

##global beta RC2

Name:           php-pear-PHP-CompatInfo
Version:        1.9.0
Release:        11%{?dist}
Summary:        Find out version and extensions required for a piece of code to run
Summary(fr):    Trouver version et extensions nécessaires à l'exécution d'un code

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/PHP_CompatInfo
Source0:        http://pear.php.net/get/%{pear_name}-%{version}%{?beta}.tgz
Source2:        xml2changelog

# See http://pear.php.net/bugs/bug.php?id=17029
Patch0:         PHP_CompatInfo-path.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.5.4

Requires:       php-pear(PEAR) >= 1.5.4
Requires:       php-pear(Console_Table) >= 1.1.1 
Requires:       php-pear(Console_Getargs) >= 1.3.3 
Requires:       php-pear(File_Find) >= 1.3.0
Requires:       php-pear(Event_Dispatcher) >= 1.0.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

# Optional dependencies
Requires:       php-pear(pear.phpunit.de/PHPUnit) >= 3.2.0
Requires:       php-pear(XML_Util) >= 1.1.4 
Requires:       php-pear(XML_Beautifier) >= 1.1
Requires:       php-pear(Console_ProgressBar) >= 0.5.2
Requires:       php-pear(Var_Dump) >= 1.0.3 
Requires:       php-pear(HTML_Table) >= 1.8.2


%description
PHP_CompatInfo will parse a file/folder/script/array to find out the
minimum version and extensions required for it to run. Features advanced
debug output which shows which functions require which version and CLI
output script

%description -l fr
PHP_CompatInfo permet d'analyser un fichier/dossier/script/tableau pour 
trouver la version minimum et les extension nécessaires à son fonctionnement.
Produit des rapports détaillés montrant quelles fonctions utilisées imposent
une version. Un script permet la production de rapport en ligne de commande.


%prep
%setup -q -c
%{_bindir}/php -n %{SOURCE2} package.xml >CHANGELOG

cd %{pear_name}-%{version}%{?beta}
# package.xml is V2
mv ../package.xml %{name}.xml

%patch0 -p1 -b .scriptspath


%build
cd %{pear_name}-%{version}%{?beta}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}%{?beta}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Move scripts as /usr/bin/scripts seems a really bad idea (requires fixed in patch0)
mv $RPM_BUILD_ROOT%{_bindir}/scripts $RPM_BUILD_ROOT%{pear_phpdir}/PHP/CompatInfo/scripts
chmod -x $RPM_BUILD_ROOT%{pear_phpdir}/PHP/CompatInfo/scripts/*

# change CRLF
sed -i -e 's/\r//' \
    $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name}/docs/examples/*.php \
    $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name}/docs/examples/*.css


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%check
# yum install php-pear-PHP-CompatInfo
# yum install php-pear-PHPUnit  # (tested with 3.4.9)
# cd /usr/share/pear/test/PHP_CompatInfo/tests
# phpunit AllTests
# OK, but incomplete or skipped tests!
# Tests: 74, Assertions: 69, Skipped: 18.


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc %{pear_docdir}/%{pear_name}
%{pear_phpdir}/PHP
%{pear_xmldir}/%{name}.xml
%{_bindir}/pci
%{_bindir}/pciconf
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}


%changelog
* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 1.9.0-11
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 19 2012 Remi Collet <remi@fedoraproject.org> - 1.9.0-9
- rebuilt for new pear_datadir

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 1.9.0-8
- rebuilt for new pear_testdir

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Apr 21 2011 Remi Collet <Fedora@FamilleCollet.com> 1.9.0-5
- doc in /usr/share/doc/pear
- define timezone during build

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 22 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.9.0-3
- spec cleanup

* Sun Jan 24 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.9.0-2
- improved PHP 5.3.0 patch

* Sun Jan 24 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.9.0-1.1
- add missing patch

* Sun Jan 24 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.9.0-1
- update to 1.9.0
- add patch for php 5.3.0 and to redirect scripts (/usr/bin/scripts seems a bad idea)
- rename PHP_CompatInfo.xml to php-pear-PHP-CompatInfo.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 30 2008 Remi Collet <Fedora@FamilleCollet.com> 1.8.1-1
- update to 1.8.1

* Fri Aug 29 2008 Remi Collet <Fedora@FamilleCollet.com> 1.8.0-1
- update to 1.8.0
- change license from PHP 3.01 to New BSD

* Sun Jul 20 2008 Remi Collet <Fedora@FamilleCollet.com> 1.8.0-0.1.RC2
- update to 1.8.0RC2

* Tue Jul 08 2008 Remi Collet <Fedora@FamilleCollet.com> 1.8.0-0.1.RC1
- update to 1.8.0RC1

* Fri Apr 18 2008 Remi Collet <Fedora@FamilleCollet.com> 1.7.0-1
- update to 1.7.0
- new Requires File_Find and XML_Beautifier

* Sat Feb 16 2008 Remi Collet <Fedora@FamilleCollet.com> 1.6.1-1
- update to 1.6.1
- add check for packaging documentation purpose

* Sat Feb 16 2008 Remi Collet <Fedora@FamilleCollet.com> 1.6.0-1
- update to 1.6.0
- add requires for php-pear(XML_Util) >= 1.1.4
- not published because http://pear.php.net/bugs/13131

* Tue Nov 20 2007 Remi Collet <Fedora@FamilleCollet.com> 1.5.1-2
- fix BR (pear >= 1.5.4)

* Tue Nov 20 2007 Remi Collet <Fedora@FamilleCollet.com> 1.5.1-1
- upgrade to 1.5.1
- fix licence + del file

* Sat Apr 07 2007 Remi Collet <Fedora@FamilleCollet.com> 1.4.3-1
- upgrade to 1.4.3

* Mon Feb 12 2007 Remi Collet <Fedora@FamilleCollet.com> 1.4.1-1
- upgrade to 1.4.1
- upgrade Requires Console_Getargs to 1.3.3

* Thu Sep 28 2006 Remi Collet <Fedora@FamilleCollet.com> 1.4.0-1
- upgrade to 1.4.0
- Change Requires from Console_Getopt to Console_Getargs

* Mon Sep 11 2006 Remi Collet <Fedora@FamilleCollet.com> 1.3.2-1
- generated specfile (pear make-rpm-spec) + cleaning
- add french summary and description
- add pcicmd in /usr/bin
- convert docs to avoid rpmlint warning "wrong-file-end-of-line-encoding"

